import Vue from 'vue';
import * as common from 'schema-based-json-editor';
export declare class ArrayEditor extends Vue {
    schema: common.ArraySchema;
    initialValue?: common.ValueType[];
    title: string;
    icon: common.Icon;
    locale: common.Locale;
    theme: common.Theme;
    readonly: boolean;
    required: boolean;
    hasDeleteButton: boolean;
    dragula?: common.Dragula;
    noSelect2?: boolean;
    minItemCountIfNeedFilter?: number;
    renderSwitch: number;
    collapsed?: boolean;
    value?: common.ValueType[];
    errorMessage?: string;
    buttonGroupStyleString: string;
    filter: string;
    private invalidIndexes;
    private drak?;
    beforeMount(): void;
    readonly filteredValues: {
        p: common.ValueType;
        i: number;
    }[];
    private readonly getValue;
    readonly isReadOnly: boolean | undefined;
    readonly hasDeleteButtonFunction: boolean;
    readonly hasAddButton: boolean;
    readonly titleToShow: string;
    readonly showFilter: boolean;
    readonly className: string;
    readonly options: {
        value: string | number;
        label: string | number;
    }[];
    beforeDestroy(): void;
    mounted(): void;
    collapseOrExpand(): void;
    toggleOptional(): void;
    addItem(): void;
    onDeleteFunction(i: number): void;
    onChange(i: number, { value, isValid }: common.ValidityValue<common.ValueType>): void;
    onFilterChange(e: {
        target: {
            value: string;
        };
    }): void;
    isChecked(value: any): boolean | undefined;
    onChangeCheckbox(value: any): void;
    onChangeSelect2(value: any): void;
    private validate;
}
